Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db.hibernate
Class AccessType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.ImmutableType
                  org.jbpm.db.hibernate.AccessType

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.type.DiscriminatorType, org.hibernate.type.IdentifierType, org.hibernate.type.LiteralType, org.hibernate.type.Type

    public class AccessType

extends org.hibernate.type.ImmutableType
implements org.hibernate.type.DiscriminatorType

See Also:
  Serialized Form

Constructor Summary
`AccessType()`

Method Summary
`java.lang.Object` | `fromStringValue(java.lang.String xml)`
`java.lang.Object` | `get(java.sql.ResultSet rs, java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.Class` | `getReturnedClass()`
`java.lang.String` | `objectToSQLString(java.lang.Object value, org.hibernate.dialect.Dialect dialect)`
`void` | `set(java.sql.PreparedStatement st, java.lang.Object value, int index)`
`int` | `sqlType()`
`java.lang.Object` | `stringToObject(java.lang.String xml)`
`java.lang.String` | `toString(java.lang.Object value)`

Methods inherited from class org.hibernate.type.ImmutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`fromXMLNode, fromXMLString, getColumnSpan, isDirty, isEqual, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Constructor Detail

### AccessType

    public AccessType()

Method Detail

### get

    public java.lang.Object get(java.sql.ResultSet rs,
                                java.lang.String name)
                         throws java.sql.SQLException

  Specified by:
    `get` in class `org.hibernate.type.NullableType`
  Throws:
    `java.sql.SQLException`

### getReturnedClass

    public java.lang.Class getReturnedClass()

  Specified by:
    `getReturnedClass` in interface `org.hibernate.type.Type`

### set

    public void set(java.sql.PreparedStatement st,
                    java.lang.Object value,
                    int index)
             throws java.sql.SQLException

  Specified by:
    `set` in class `org.hibernate.type.NullableType`
  Throws:
    `java.sql.SQLException`

### sqlType

    public int sqlType()

  Specified by:
    `sqlType` in class `org.hibernate.type.NullableType`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.hibernate.type.Type`

### objectToSQLString

    public java.lang.String objectToSQLString(java.lang.Object value,
                                              org.hibernate.dialect.Dialect dialect)
                                       throws java.lang.Exception

  Specified by:
    `objectToSQLString` in interface `org.hibernate.type.LiteralType`
  Throws:
    `java.lang.Exception`

### stringToObject

    public java.lang.Object stringToObject(java.lang.String xml)
                                    throws java.lang.Exception

  Specified by:
    `stringToObject` in interface `org.hibernate.type.IdentifierType`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString(java.lang.Object value)

  Specified by:
    `toString` in class `org.hibernate.type.NullableType`

### fromStringValue

    public java.lang.Object fromStringValue(java.lang.String xml)

  Specified by:
    `fromStringValue` in class `org.hibernate.type.NullableType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD